CapyDB Docs
ReferenceAPI

Restore

Backup and point-in-time restores, restore points.

POST
/v1/projects/{projectID}/restores

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/restores" \  -H "Content-Type: application/json" \  -d '{    "backup_key": "string"  }'
{  "job": {    "attempts": 0,    "claimed_at": "2019-08-24T14:15:22Z",    "claimed_by": "string",    "cluster_id": "string",    "completed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "error": "string",    "id": "string",    "last_exit_code": 0,    "last_stderr": "string",    "last_stdout": "string",    "locked_resource": "string",    "max_attempts": 0,    "organization_id": "string",    "preview_database_id": "string",    "project_id": "string",    "retry_classification": "string",    "started_at": "2019-08-24T14:15:22Z",    "state": "pending",    "type": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
GET
/v1/projects/{projectID}/restore-points

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/restore-points"
{  "restore_points": [    {      "backup_id": "string",      "backup_key": "string",      "created_at": "2019-08-24T14:15:22Z",      "created_by_actor_id": "string",      "created_by_actor_kind": "string",      "id": "string",      "kind": "backup",      "label": "string",      "note": "string",      "organization_id": "string",      "pitr_time": "2019-08-24T14:15:22Z",      "project_id": "string",      "state": "active",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
POST
/v1/projects/{projectID}/restore-points

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/restore-points" \  -H "Content-Type: application/json" \  -d '{    "label": "string"  }'
{  "restore_point": {    "backup_id": "string",    "backup_key": "string",    "created_at": "2019-08-24T14:15:22Z",    "created_by_actor_id": "string",    "created_by_actor_kind": "string",    "id": "string",    "kind": "backup",    "label": "string",    "note": "string",    "organization_id": "string",    "pitr_time": "2019-08-24T14:15:22Z",    "project_id": "string",    "state": "active",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
DELETE
/v1/projects/{projectID}/restore-points/{restorePointID}

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

restorePointID*string

Restore point id.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/projects/string/restore-points/string"
{  "deleted": true}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}